# This file is automatically generated - do not edit
# Generated by nxtvepg.pod from lindex  at Mon Feb 26 22:51:53 2001

.menubar.help insert 0 separator
.menubar.help insert 0 command -label {Description} -command {PopupHelp 0}
set {helpIndex(Description)} 0
set helpTexts(0) {{Description} title {
} {} {nxtvepg} bold { is an X11 and Win32API application to decode, analyze and browse TV programme schedules transmitted on analog TV channels as defined in ETS 300 707: "Protocol for a TV Guide using electronic data transmission" by the European Telecommunications Standards Institute.
The Nextview standard was developed for use in TV sets, but it can also be received and used in a PC - provided you have a Teletext capable TV tuner card and are lucky enough to have a Nextview content provider in your country.
} {} {nxtvepg} bold { allows you to obtain free TV programme listings for all of the major networks in Germany, Austria, France and Switzerland. Currently Nextview EPG is transmitted by the following TV stations:
In Germany and Austria: Pro7, 3Sat, RTL-II.
In Switzerland: EuroNews, TSR1 and others.
In France: Canal+, M6, TV5.
For up-to-date information check the nxtvepg homepage in the Internet (see the About popup in the Help menu). If you don't receive any of the channels listed above, you can only use the demo mode as described with the } {} {-demo} bold { command line option.
} {} }
.menubar.help insert 1 command -label {Options} -command {PopupHelp 1}
set {helpIndex(Options)} 1
set helpTexts(1) {{Options} title {
Summary of command line options:
} {} {-display} bold { } {} {display} underlined {
UNIX only: The display on which the windows will be created. Default: taken from environment variable DISPLAY.
} {} {-geometry} bold { } {} {geometry} underlined {
Specifies the position of the main window, e.g.  } {} {-geometry -0+0} bold { to put the main window in the upper right corner of the visible screen. The size of the window cannot be changed.
} {} {-iconic} bold {
Start with the main window iconified (i.e. minimized).
} {} {-rcfile} bold { } {} {path} underlined {
Specify an alternate configuration file. Default: on UNIX ~/.nxtvepgrc, on Windows nxtvepg.ini in the current directory.
} {} {-dbdir} bold { } {} {directory} underlined {
Specify an alternate directory for the databases. Default: On UNIX /usr/tmp/nxtvdb, on Windows the current directory. Note that the database management is not equipped for concurrent writing, so if you have more than one TV tuner card in your system or network, relocate the directory into the users' homes.
} {} {-card} bold { } {} {index} underlined {
Specify which tuner card to use, if you have more than one. The given index is appended to /dev/vbi and /dev/video. Default: index 0, i.e. the card in the first PCI slot.
} {} {-provider} bold { } {} {CNI} underlined {
Select a provider by its hexadecimal CNI (Country and Network Identifier), e.g. C<-provider d94> for "Pro Sieben". You can find out the provider's CNI during a provider scan or from the database file names. Default: the last provider selected during the previous session.
} {} {-noacq} bold {
Start with acquisition disabled. The acquisition can still be started later from the Control menu.
} {} {-demo} bold { } {} {path} underlined {
Load database given by } {} {path} underlined { and enter demo mode. In this mode all entries of the database are shifted into the presence, i.e. just far enough so that none expire. Hence the entries' dates and times are not for real and acquisition or database reselection is not possible.
} {} {-help} bold {
List all available command line options.
After the options you can add a database filename. This is equivalent to specifying } {} {-dbdir} bold { and } {} {-provider} bold {. The provider CNI is taken from the file name. If the file name does not have the format as defined in } {} {Files} href {, it's assumed to be a demo database and loaded just as with the } {} {-demo} bold { option. The database filename argument silently overrides any previously given options.
This is particularily useful for users of graphical file managers (like the Windows Explorer) who can just drag and drop a database file onto the executable. When used on Windows systems the working directory is set to the one that contains the executable, because the Explorer seems to set it to the user's desktop root, so that none of the DLLs and drivers are found.
Note to Windows users: all these options - unless otherwise noted - are available in the Win32 version too. You can supply the options either from a "MS-DOS" command prompt or batch file, or by appending them to the executable in a shortcut definition.
} {} }
.menubar.help insert 2 command -label {Getting started} -command {PopupHelp 2}
set {helpIndex(Getting started)} 2
set helpTexts(2) {{Getting started} title {
Before you can start reading in TV programme schedules (called } {} {acquisition} underlined { from here on), you have to do just a few configurations. Which ones depends on your setup and will be described in the following. As long as your browser window contains no data, there's also a recommondation how to get to data in the browser window, highlighted with a yellow background.
This manual describes all features of nxtvepg in detail. You do not have to read all of it at once to operate the software. However it's recommended to skim at least through } {} {Basic browsing} href {, } {} {Data acquisition} href { and } {} {Filtering} href {.
Windows users first have to configure the driver for their TV card. Therefore please invoke the 'TV card input' popup from the Configure menu and specify the type of your tuner. In Germany, Austria and Switzerland it should be either Philips PAL or Temic PAL. In France it's one of the SECAM types. Then select how your card's } {} {PLL} underlined { needs to be set up. On most cards it's either } {} {No init} underlined { or } {} {28 MHz} underlined {. If you're not sure about your configuration, start with the topmost and then try them one after each other and start an EPG scan inbetween to check if the tuner works. If this seems too much work, open your PC and read the manufacturer from the metal tuner box on the TV tuner card.
If you don't have an antenna connected to your PC, you can select an external source for video input. If you have problems see } {} {README} underlined { for more details and a list of error messages from the Windows driver.
UNIX users just need to check if the correct input source and frequency table are selected in the TV card input popup menu.
In the next step - if you chose to use the TV tuner - run a provider scan from the Configure menu.  During the scan all TV channels are checked for Nextview transmissions. After the scan has finished, open the provider selection popup from the Configure menu and select you favorite one.
If the provider scan does not find all Nextview provider channels (possibly due to weak reception - this is a very simple scan that does not attempt any fine-tuning) check the } {} {Slow} underlined { button and try again. If this did not help, you can still add the missing providers manually. Therefore set the acquisition mode to } {} {passive} underlined {, then use an external application to tune the channel (Windows users have to quit nxtvepg first; then start the other application; then tune the channel; then quit the TV application; finally start nxtvepg again). In passive mode nxtvepg will not touch the tuner and infinitly wait for Nextview reception on the current channel. On Windows and Linux with old bttv drivers (version 0.7.50 and earlier) this method has the disadvantage that no frequency will be known for this provider so that it can not be updated automatically (see } {} {Data acquisition} href { for details).
Alternatively if you decided not to use the tuner, open the Acquisition mode popup from the Configure menu and select passive mode. Then provide the video signal of one of the content provider channels listed in the introduction to the selected input socket. As soon as an EPG provider is recognized, its data will appear in the browser window. See } {} {Data acquisition} href { about the disadvantages of not using the TV tuner as input.
Acquisition of a complete database takes about 20 minutes. However programmes that are nearer in the future are available much faster, since they are transmitted more often. The currently running and directly following programmes of all networks are usually available after about 2-3 minutes max.
} {} }
.menubar.help insert 3 command -label {Basic browsing} -command {PopupHelp 3}
set {helpIndex(Basic browsing)} 3
set helpTexts(3) {{Basic browsing} title {
The browser mainly consists of two windows: the upper one contains a list of programme titles, sorted by start time. All currently running programmes (or rather: all programmes that should be running according to their start time) are marked by a light blue background color. One line in the list is selected by a cursor; the lower window contains the attributes and description for this selected title. The amount of data available depends entirely on the content provider.
The basic browsing of programme information works very straight-forward. You can either use the mouse or the keyboard cursor keys:
With the mouse, you can click on any title to select it and display its description in the lower window. With a double-click you open a popup window with a summary of all attributes known for that title.  See } {} {Filtering} href { on how to use those for filtering. Use the scrollbar to scroll the listing forward to programmes farer in the future.
With the keyboard, use the Cursor up/down keys to select any title. For fast scrolling use the page up/down keys. With the Home key you always get back to the first title. With TAB and SHIFT-TAB you can move the keyboard input focus to other widgets, e.g. to the scrollbars or the shortcut list. On Unix, the menus can be accessed with the Meta key (usually the ALT key) together with one of the underlined characters in the menu buttons.
At the bottom of the window there is a status line which informs you about the state of the browser database and background acquisition. It's basically a very dense summary of the } {} {Statistics} bold { popups from the } {} {Control} bold { menu and is especially useful to warn you about the database age or stalled acquisition.
} {} {Note:} underlined { For most providers it holds true that descriptions are available only (or only in full length) for currently running programmes and those whose start time is very close. This time span for full coverage can be as short as 2 hours, or 3 titles per network. For details on the acquisition process see the following chapter.
} {} }
.menubar.help insert 4 command -label {Data acquisition} -command {PopupHelp 4}
set {helpIndex(Data acquisition)} 4
set helpTexts(4) {{Data acquisition} title {
As long as acquisition is enabled, programme titles are constantly being acquired or updated in the background. You will notice that all incoming programme information is instantly inserted to the programme listing. Every effort is taken to not alter the cursor position or title selection, except if the cursor is on the very first item - then the cursor stays on top.
By default, the acquisition always works for the provider whose database you have loaded into the browser. Therefore, upon program start or whenever you switch providers, the TV tuner is set onto the frequency of the provider's TV channel.  Please note that this mode is only possible after a provider scan, because that's the only way to find out the frequencies. Check out } {} {Acquisition modes} href { for more sophisticated acquisition strategies.
If you do not choose the TV tuner as input (e.g. if you choose an external source via the Composite or S-Video input sockets), or if the TV tuner is kept busy by another application (UNIX only, e.g. if you watch TV) data is still being acquired, but it's no longer possible to automatically change the TV channel. Hence you are resposible for selecting the channel of the provider who's database you want to load or refresh. If a transmission belonging to a different provider than the one selected in the browser is detected, a second database is automatically opened in the background to store the incoming data.
The transmitted database is constantly in change: Elapsed titles are removed, new titles appended, and the titles closest to the current time updated with an increased amount of description. (The reason that the complete description is not transmitted for all titles is simply that the size of the database has to be reduced - it shall be transmitted in 20 minutes maximum.)  So you should start the acquisition as often as possible, about every 2-3 hours, at least a couple of minutes before you browse.
You can monitor the progress of acquisition with the timescale and database statistics windows from the Control menu. See } {} {Statistics} href { for details.
} {} }
.menubar.help insert 5 command -label {Acquisition modes} -command {PopupHelp 5}
set {helpIndex(Acquisition modes)} 5
set helpTexts(5) {{Acquisition modes} title {
The acquiition mode configuration allows you to control for which providers data is collected, and in which order. It's mainly intended for users who use more than one provider's database, i.e. in a merged database, or want to optimize startup time. If you're happy with a single provider or don't want to browse immediately after program start, you should keep the default, which is loading data always for the provider selected in the browser.
} {} {Passive} bold {
In this mode the software never changes the input channel; it's intended for UNIX systems when you run a different software in parallel that needs the video device. It can also be used on Windows systems if the tuner on your TV card is not supported; you then can set up input source and frequency with a different application before you start nxtvepg.
This is the only possible mode if you choose an input source other than the TV tuner, since there's no means by which the TV channel that's received through one of the composite inputs can be switched. Furthermore, this mode is automatically used if the software detects an external, i.e. uncontrolled channel change.
} {} {Follow-UI} bold {
This is the default mode: the acquisition always works for the provider you have selected for the browser (i.e. user interface). If you change the provider in the browser window, acquisition follows by tuning the new channel. Of course this requires to have performed an EPG scan at least once, so that the tuner frequencies of all providers are known. When you use a merged database in the browser, acquisition works on each of the merged providers, one after another, just like in the mode described next.
} {} {Manually selected} bold {
This mode allows you to manually select for which providers the acquisition should work. If you select more than one provider, they are loaded one after another, in your specified order. Warning: if you choose a provider for the browser that's no on the list, no data will be loaded into the browser, even if it's completely empty.
Since transmission errors have to be considered, it's not attempted to load every single block of a provider before acquisitions switches to the next. Instead a statistical criterium was defined, that regards the variance in coverage of all networks contained in the database, and the slope of that variance.
} {} {Cyclic: Now - Near - All} bold {
Like the previous mode, this one allows you to specify a list of providers to load data for. However they are not just loaded completely one after another. Instead, a 3-staged round-robin is implemented. In the first stage, only } {} {Now} underlined { data is loaded, i.e. the currently running and next 2-3 programmes. When this has been completed for all providers, the next stage begins, which loads } {} {Near} underlined { data, i.e. all programmes running in the next 12-24 hours. When that was completed, the final stage loads the outstanding blocks for all providers. See below for an explanation what this mode is good for.
} {} {Cyclic: Now - All} bold {
This is the same as the previous mode, except that the } {} {Near} underlined { stage is skipped.
} {} {Cyclic: Near - All} bold {
This is the same as the mode before the previous one, except that the } {} {Now} underlined { stage is skipped.
Which mode is best for you depends on how you use the browser. As said above, if you're mainly using a single provider, stick with the Follow-UI mode. If you use a merged database, data is automatically loaded for all contained providers. However if you switch manually between multiple providers, you should choose one of the manual acquisition modes.
The Cyclic modes allow you to optimize startup time. While in standard manual mode, the first database is loaded completely before the next one is started, in Cyclic modes you can specify to load only Now data of all providers first. Hence already after a couple minutes you'll have updated Now information for all providers. If you require more look-ahead than the next 2-3 programmes, e.g. the complete evening, use a Cyclic mode that starts with the Near stage.
If you use manual acquisition together with a merged browser database, make sure to put the same provider at top in both lists, i.e. acquisition should always start for the "master database" of the merge.
Please note that the time until all databases are complete is longer in the cyclic modes than in standard manual mode. In general, the time used for the Now and Next stages just adds to the time to complete the database.
Also note that the cyclic modes depend on the transmission cycles of the providers. Firstly this means that the time ranges covered by the cycle stages may differ between providers. Secondly, the cycle times may vary. In the worst case the Near cycle runs as long as the cycle for the complete database (e.g. the German provider RTL2). In this case you don't win anything by selecting a mode that contains a Near stage.
} {} }
.menubar.help insert 6 command -label {Statistics} -command {PopupHelp 6}
set {helpIndex(Statistics)} 6
set helpTexts(6) {{Statistics} title {
You can monitor the progress of acquisition with the timescale windows which can be opened from the Control menu. There's one window for the browser database, and one for the acquisition database, if it's a different one. The timescale windows have one scale for each network covered by the selected provider. Each scale covers the next 5 days, starting with the current time. Ranges that are covered by programmes in the database are marked in red or blue, uncovered ranges are left black.
The different colors reflect the } {} {stream} underlined { in which the data was received, or an error status. Stream numbers are directly connected with the cycle phases mentioned in } {} {Acquisition modes} href {; besides this the difference is not relevant during normal operation.
} {} {red:} bold {
PI blocks received in stream 1, i.e. cycle phase 'Near'.
} {} {blue:} bold {
PI blocks received in stream 2, i.e. cycle phase 'All'.
} {} {shaded red or blue:} bold {
PI blocks from an earlier database version.
} {} {yellow:} bold {
expired or invalid PI blocks (overlapping or zero run-time, block number not in the range given in inventory, etc.)
In front of the scales there are 5 separate boxes, which refer to the first 5 programmes (PI blocks) in the inventory (AI block). Please note that in contrary to the timescales these boxes do not start with the currently running programmes. They have two purposes: firstly, during acquisition you can see when the 'Now' cycle phase is complete; secondly you can check if the data from the Now cycle is expired (marked yellow). If all 5 are yellow, it's time to update the database.
There are also statistics windows available from the Control menu which inform you about the browser database and the acquisition progress. The acquisition statistics are updated every time a new AI block is received and reset when the database version changes.
The diagram at the left displays a history of fill percentages for stream 1 and 2; the meaning of the colors is the same as in the timescale windows.  The baud rates are computed as avarage of received bits during the total acquisition runtime; every teletext packet is counted as 45 * 8 Bits. } {} {AI min/avg/max} underlined { describes the frequency of AI packet reception as: minimum, average and maximum interval length between AI blocks. The last 3 lines reflect the PI (programme information) block counts in the database.
} {} {Block count db} underlined { gives the total number of PI blocks; in the brackets the sum is broken up into stream 1, stream 2 and expired & obsolete (colors red, blue and yellow in the graphics).  The next line has the same meaning, but only PI blocks of the current database version are counted.  The last line gives the number of PI blocks that are transmitted in the current Nextview cycle. This value is computed from the block ranges given in the AI block. The percentages behind the total express how many of the blocks already are available in the database; the second of the percentages only considers PI of the current version.
When you interpret those values, please remember that PI blocks may be appended to the transmission cycle when programmes have expired (in a slight violation of the Nextview standard this is done even without changing the database version). So you might see from time to time that the fill percentages take a step back down during acquisition. Also note that expired PI are not accessible from the user interface, however they are included in the database dump from the } {} {Control} underlined { menu.
} {} }
.menubar.help insert 7 command -label {Merged databases} -command {PopupHelp 7}
set {helpIndex(Merged databases)} 7
set helpTexts(7) {{Merged databases} title {
If you compare databases of different Nextview providers, you will often find that each has one or more nice features, or covers networks, that the others lack. Instead of changing back and forth between several providers all the time, database merging allows to select and combine features or networks from several original databases into one newly created database.
When you select the } {} {Merge providers...} bold { entry from the } {} {Configure} bold { menu, you will get a popup with two listboxes: the left one contains a list of all currently available databases. The right one is the list of databases you want to merge. You can add, delete or reorder the entries is this list. When you're done with your selection, press } {} {Ok} bold { to start the merge and switch the browser to the new database.
By ordering providers in your selection, you assign priorities which are important for conflict resolution. A conflict occurs when programme start and stop times differ between providers. The likelyhood of such conflicts depends on the quality of your providers; theoretically they should never happen except if there are late program changes. In reality, conflicts are not that unlikely, particularily for programmes early in the morning. You should put the most reliable provider in the first position, because conflicting programmes from providers further down will be rejected, i.e. not added to the merged database.
The } {} {Configure} bold { button in the popup gives you fine-control over the priority of providers during the merge of all distinct programme attributes. You can even completely remove a provider for an attribute, e.g. if they transmit false data (e.g. the Sound attribute is handled wrong by the German provider 3Sat: they have swapped Stereo and Surround). An exception is the title, where you must not delete any providers.
Attributes that cannot be merged, e.g. editorial rating, are fetched from the first database in the list that contains the attribute for a given programme.  An exception are sorting criteria and series, where only the first provider in the list is queried (i.e. even if the first provider does not have a sorting criterion for a given programme, the further databases are not searched) because these types of attributes cannot be mixed between providers (see also } {} {Filtering} href {).
Note: If you use a manual or cyclic acquisition mode, you should take care to include all providers of your merged database in the same order. Else, program changes will not appear in your database until the provider with highest priority is loaded. If you stay with the default } {} {Follow-UI} bold {, acquisition control will automatically cycle across all merged providers in the correct order.
} {} }
.menubar.help insert 8 command -label {Navigate} -command {PopupHelp 8}
set {helpIndex(Navigate)} 8
set helpTexts(8) {{Navigate} title {
The Navigate menu contains a tree of filtering options, that's transmitted by the selected provider together with the programme data. Filtering allows to restrict the listing of programme information to those titles matching the selected menu entry.
The extent and content of this menu depends entirely on the provider. Unfortunately most providers supply only a very limited menu, so you'll probably want to define your own filters, as described in the next two chapters.
Any filter selection can always be undone by the } {} {Reset} underlined { menu entry or the reset button in the main window.
} {} }
.menubar.help insert 9 command -label {Filtering} -command {PopupHelp 9}
set {helpIndex(Filtering)} 9
set helpTexts(9) {{Filtering} title {
Similar to } {} {Navigate} underlined {, this menu allows to control which of the programmes in the database are presented in the listing.  However here, you are not limited to a preselection of filter options.  There's a filter for every kind of attributes that can be attached to a program, e.g. it's network, start time, theme descriptors, ... and many more.
Filters can be undone either singularily by selecting the same filter menu entry again, or globally by clicking on the } {} {Reset} underlined { button or menu entries.
You can combine as many filters as you want to build a complex filter. If you combine two filters of different types, only programmes that match both attributes will be listed (logical AND). If you choose more than one filter of the same type, all programmes that match either attribute will be listed (logical OR).
} {} {Examples:} underlined { If you want to see all programmes listed for either network ARD or ZDF, simply select both networks. If you want to see all movies scheduled on PRO7, select network=PRO7 and theme=movies.
Summary of filter options:
} {} {Features} bold {
Restrict the listing to programmes that match all given attributes (logical AND), i.e. sound format, picture format, analog/digital, encrypted yes/no, live/new/repeat and subtitles yes/no. If you want to allow more than one value of the same attribute (e.g. picture format wide OR Pal+) you have to put them into different feature classes.
} {} {Parental Rating} bold {
Restrict the listing to programmes that are suitable for children of the given age or elder.
} {} {Editorial Rating} bold {
Restrict the listing to programmes that are rated (by the content provider) to have at least the given quality. The range of rating values is 1 to 7. Note that some providers do not use all values, e.g. only 1 to 5, or e.g. just 3, 5 and 7.
} {} {Themes} bold {
Restrict the listing to programmes that have any of the given theme categories attached to them (logical OR). The Nextview standard contains a list of 76 predefined themes, which are structured into 11 main categories and subcategories. A programme can have up to 5 themes attached. If you want to restrict the listing to programmes that have more than one of the given themes (logical AND) you need to specify them in different theme classes.
} {} {Series} bold {
Restrict the listing to programmes that belong to any of the given series. A series code always implies a network specification (even if the same programme is transmitted on different networks). This filter type is only available for providers that assign series codes; for the other ones you can use text search among programme titles.
} {} {Program index} bold {
Restrict the listing to programmes who's index is in the given range. The currently running programme of each network is given index zero, the following programme of each network index one etc. The three most important combinations are available as radio buttons: } {} {now} underlined { (range 0-0), } {} {next} underlined { (range 1-1) and } {} {now or next} underlined { (range 0-1).
} {} {Networks} bold {
Restrict the listing to programmes of the given networks. Note that the order and selection of networks can be configured (see } {} {Configuration} href {).
} {} {Text search} bold {
Restrict the listing to programmes who's title or description contain the given text.
} {} {Start Time} bold {
Restrict the listing to programmes who's start time lies in the given interval. There are two special modes for the interval specification: If you enable } {} {Start at current time} underlined { the interval start is fixed to the actual time when the filter is applied and the value given as stop time is interpreted as duration, i.e. it's added to the interval start. If you enable } {} {Stop at end of day} underlined { the interval end is fixed to 23:59 of the same day.
} {} {Sorting Criterions} bold {
Restrict the listing to programmes that have any of the given sorting criteria attached to them. Sorting criteria work very much like themes, however their meaning is not predefined by the Nextview standard. The content provider can use arbitrary numbers to represent an attribute. Attributes usually are themes that are not in the predefined catalog, e.g. current events like the Olympic Games, but could also be not content related at all.  The meaning of these numbers is only defined by the provider's navigation menus (see } {} {Navigate} href {).
Note that the interpretation of two filter types depends on the provider: sorting criterion and series. That's because those are just arbitrary numbers which only have a meaning in the context of the provider's navigation menu.
} {} {Hint:} underlined { the filter menu can also be used to examine the filter options that are invoked by the entries in the Navigate menu.
} {} }
.menubar.help insert 10 command -label {Filter shortcuts} -command {PopupHelp 10}
set {helpIndex(Filter shortcuts)} 10
set helpTexts(10) {{Filter shortcuts} title {
There's a number of predefined filter options in the box below the clock. These shortcuts allow you to invoke filters by a single click of the mouse. You can freely add or remove entries from this list.
When you want to add a shortcut, either choose an entry from the Navigate menu or define your own filters via the Filter menu, possibly based on one or more already defined shortcuts. When you have found an interesting selection, call } {} {Add filter shortcut...} underlined { from the Filter menu to save the setting. You will get a pop-up window that allows you to change any names or the ordering, or to delete shortcuts. If you want to discard all changes made in the pop-up, leave it with the } {} {Abort} underlined { button. Else, use } {} {Save} underlined {.
The filter mask list in the pop-up reflects which types of filters you currently have chosen. When you invoke the shortcut from the listbox later, all filters of the same type will be cleared (masked out). If you deselect the button for that filter type in the filter mask list, then those filters will remain untouched.
The masking can also be enabled when no filter of that type has been chosen. This can be used to define } {} {undo} underlined { shortcuts. E.g. choose the mask 'Themes' if you want a shortcut that allows to clear all theme-related filters at once.
You can combine several shortcuts by pressing the } {} {CTRL} underlined { or } {} {SHIFT} underlined { keys on your keyboard when selecting - just as you know it from other applications. However the behavior of the combined shortcuts is slightly subtle and might not match your expectations in all cases. That's because the shortcuts are not cleanly separated when processed. Instead all filters are thrown together and then processed as if they belonged all to one shortcut in the way described in } {} {Filtering} href {. This might change in the future if someone convices me there's a real need to.
If you want to modify the shortcut list without adding a new one, you can also access the popup from the } {} {Configure} underlined { menu.
If you want to change the filter settings of a shortcut, you can do this only indirectly: first invoke the shortcut, then modify the settings as you need; then add it as a new shortcut and at the same time delete the old version.
} {} }
.menubar.help insert 11 command -label {Context menu} -command {PopupHelp 11}
set {helpIndex(Context menu)} 11
set helpTexts(11) {{Context menu} title {
Another quick way to select and deselect filters is by using the context menu, which is popped up with the right mouse button in the browser window.
This menu consists of two parts: the first entries allow to undo the previously selected filters - either one by one or globally (reset).
The second part offers a number of possible new filter options, which depend on the currently selected title and the already selected filters. The offered filter types include: themes and network of the selected programme title, it's series code, repeat or original transmission suppression (only in cunjunction with series or title text filters) and last but not least the title text (as substring search).
The series and title text filters allow you to check very quickly for repeats of any programmes. If there is no match for these filters except for the already selected title, they are not offered.
} {} }
.menubar.help insert 12 command -label {Control} -command {PopupHelp 12}
set {helpIndex(Control)} 12
set helpTexts(12) {{Control} title {
Summary of commands available from the Control menu:
} {} {Enable acquisition} bold {
Toggles acquisition on or off. Switching off allows other applications (e.g. a teletext decoder) to use the TV card while you browse the database. If you have more than one card, it's always possible to use one for watching TV and the other for loading data. UNIX: When acquisition is switched off, the } {} {/dev/vbi} underlined { device is freed.  Acquisition can also been turned off automatically by sending the process the signal HUP.  The process id is stored in } {} {/tmp/.vbi.pid} underlined { while the device is in use. Windows: When acquisition is switched off, the driver is unloaded.
} {} {Dump stream} bold {
UNIX only: All incoming Nextview blocks are dumped to } {} {stdout} underlined { in an ASCII format. This is mainly intended for developers, but it may also help to debug reception problems, because in the dump you'll find any block that could be decoded without hamming errors, even before an inventory block (AI) has been received. This may help if you have very bad reception, because it may take a long time until a error-free copy of the usually large AI block is received.
} {} {Dump database} bold {
Allows to dump all blocks of selected types in the database to } {} {stdout} underlined { (UNIX only) or into the given file.  Also intended for developers mainly.
} {} {View timescales} bold {
Toggles the timescale window for the browser database. The window reflects for each network included in the selected database, which time ranges are covered by programme information. If acquisition is working on the database, you can watch how more and more of the scales get covered.  See } {} {Statistics} href { for details.
} {} {View statistics} bold {
Toggles the browser database statistics window, which informs you about number of program entries in the database, fill percentage, expiration percentage, date of last update etc.  If the acquisition is working on the same database, it also contains information about state and progress of acquisition.  See } {} {Statistics} href { for details.
} {} {View acq timescales} bold {
Toggles the timescale window for the acquisition database. This entry is only available if the acquisition uses a different database than the browser.
} {} {View acq statistics} bold {
Toggles the acquisition statistics window, which informs you about state and progress of acquisition. If the acquisition control mechanism switches to a different database, the acq statistics window will automatically follow.  See } {} {Data acquisition} href { for details.
} {} {Quit} bold {
Close all windows and terminate the application.
} {} }
.menubar.help insert 13 command -label {Configuration} -command {PopupHelp 13}
set {helpIndex(Configuration)} 13
set helpTexts(13) {{Configuration} title {
Summary of commands available from the Configure menu:
} {} {Select provider...} bold {
Open the provider selection popup.  This popup lists all TV channels from which Nextview data can be received.  When you select a channel name on the list, you'll see the name of the Nextview service that's transmitted there and a list of all networks covered by it on the right. If you leave the popup with Ok, the selected provider's database will be loaded into the browser.  The according TV channel will also be tuned to update the database, if you have selected "Follow-UI" acquisition mode.
} {} {Merge providers...} bold {
Open a popup that allows to merge several databases into one. See } {} {Merged databases} href { for details.
} {} {Acquisition mode...} bold {
Open a popup that allows to control the background acquisition process. See } {} {Acquisition modes} href { for more details.
} {} {Provider scan...} bold {
Open a popup that allows to start a scan across all TV channels for Nextview transmissions.  You should perform this search at least once, firstly to find out which providers are available in your area, and secondly to determine the frequencies of all provider's TV channels. They are required for most acquisition modes, and due to driver limitations often not available without a scan (e.g. on Windows or Linux with bttv driver <= 0.7.50). See also } {} {Getting started} href {.
Check the } {} {Slow} underlined { button if you have bad reception on some channels. In slow mode the scanner will wait at least for 2 seconds on each channel for a VPS or PDC identification or en EPG package. Else channels without a stable video signal and without any teletext packets will be skipped after 150 ms.
Use the } {} {Refresh only} underlined { mode if you deleted your database files or if you upgrade from an incompatible software version. In this mode only the channels on which Nextview data was received before are checked (the requencies are kept in the rc/ini file). This allows you to regain your complete provider list very quickly.
} {} {TV card input...} bold {
Open a popup where the driver for the TV card can be configured. On Windows systems you must at least specify which type of tuner is on your card, and how the PLL needs to be initialized. You can check your setting by starting an EPG scan: if nothing is found, try a different setting (or check the antenna cable). For more details see } {} {README} underlined {, particularily if you get error messages from the Bt8x8 driver. If you experience data loss due to heavy system load, you can raise the acquisition thread priority.
On Linux systems only the remaining three configuration options apply: firstly you may choose which video input source to use. See } {} {Data acquisition} href { about the consequences of not using the TV tuner as input. If you live in France, select the French frequency table to be used for the EPG scan. If you have more than one TV tuner card, you can also choose which one to use, just like with the } {} {-card} bold { command line option.
} {} {Select columns...} bold {
Open the browser listbox column configuration popup window. It allows to select which attributes are displayed for the listed programmes. In the listbox on the left you find a list of all available categories, e.g. title, running time & date, TV network, rating, sound and picture format, i.e. mostly the same attributes that are available for filtering. The listbox on the right contains the types currently selected for display. The topmost entry appears on the left side of the listbox.  Press } {} {Apply} underlined { to refresh the browser listbox with the new column selection and save the new configuration to the config file.
} {} {Select networks...} bold {
Open the network selection popup. It allows to permanently suppress TV networks in a provider's listing, e.g. if you can not receive the channel. You can also change the order of the networks, e.g. to put your favorite networks at the top of the filter menus.
This popup has two lists: on the left you'll find all networks that are covered by the provider in their original order, on the right those that are selected for the programme listing in your preferred order. By default, both lists will have exactly the same content. If you want to exclude networks, select them in the right list and press } {} {Delete} underlined {. You can always include them again by selecting them in the left list and pressing } {} {Add} underlined {. You can change the order in the right list by selecting one or more networks and pressing the } {} {up} underlined { or } {} {down} underlined { arrows. If you want the same selection and order for all providers, you can simply copy your selection with the } {} {copy} underlined { menu.
} {} {Filter shortcuts...} bold {
Open the filter shortcut popup to rename, reorder or delete shortcuts.  You have to press the } {} {Update} underlined { button to save any changes for a shortcut and then close the popup with } {} {Save} underlined {. See } {} {Filter shortcuts} href { for more details.
} {} {Show shortcuts} bold {
Toggle visibility of the shortcut listbox.
} {} {Show networks} bold {
Toggle visibility of the network filter listbox.
} {} {Show status line} bold {
Toggle visibility of the status line at the bottom of the browser window.
} {} {Show column headers} bold {
Toggle visibility of the browser listbox column header menu bar.
} {} }
